// Dieser tab ist für alle buttons, slider etc. zuständig, die im programm angezeigt werden

Numberbox box_i_r;
Numberbox box_i_b;
Numberbox box_i_t;
Numberbox box_zeit_r;
Numberbox box_zeit_b;
Numberbox box_zeit_t;
Numberbox box_stunden;
Numberbox box_minuten;
Numberbox box_frq;
Slider slider_r;
Slider slider_b;
Slider slider_t;
Textlabel label_min;
Textfield textfield_save;
Button button_start;
Button button_festlegen;
Button button_save;
ScrollableList list_ports;
RadioButton radio_O2;
RadioButton radio_rot;
RadioButton radio_blau;
Button button_plot;
Button button_maximum;
void CreateUserinterface() {
  String[] SerialList=new String[4];
  SerialList[0]=SerialList[1]=SerialList[2]=SerialList[3]="hallo";
  PFont font = createFont("arial", 18);
  PFont font_head=createFont("ariel", 26);
  PFont font_save=createFont("ariel", 14);
  cp5 = new ControlP5(this);


  //dropdown liste ports
  list_ports = cp5.addScrollableList("USBPorts")
    .setPosition(220, 400)
    .setSize(150, 50)
    .close()
    .setBackgroundColor(color(190))
    ;
  SerialList=Serial.list();
  for (int i=0; i<SerialList.length; i++) {
    list_ports.addItem(SerialList[i], i);
  }


  //speicherplatz
  textfield_save = cp5.addTextfield("          ")
    .setPosition(220, 360)
    .setSize(150, 15)
    .setFont(font_save)
    .setFocus(true)
    .setColor(color(255, 255, 255))
    ;
  //dynamik
  box_i_r=cp5.addNumberbox(" ") //int,red, %-intervall
    .setLabelVisible(false)
    .setPosition(220, 240)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;

  box_i_b=cp5.addNumberbox("  ") //int blue, %-intervall
    .setLabelVisible(false)
    .setPosition(220, 260)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_i_t=cp5.addNumberbox("   ") //temp, %-intervall
    .setLabelVisible(false)
    .setPosition(220, 280)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_zeit_r=cp5.addNumberbox("    ")
    .setLabelVisible(false)
    .setPosition(310, 240)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_zeit_b=cp5.addNumberbox("     ")
    .setLabelVisible(false)
    .setPosition(310, 260)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_zeit_t=cp5.addNumberbox("      ")
    .setLabelVisible(false)
    .setPosition(310, 280)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_stunden=cp5.addNumberbox("       ")//7 " "
    .setPosition(220, 320)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_minuten=cp5.addNumberbox("        ")//8 " "
    .setPosition(310, 320)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  box_frq=cp5.addNumberbox("         ")//9 " "
    .setPosition(220, 340)
    .setSize(24, 14)
    .setScrollSensitivity(1.1)
    .setValue(0)
    .setDecimalPrecision(0)
    ;
  //Überschrift
  cp5.addTextlabel("AlgoinO2")
    .setText("AlgoinO2")
    .setPosition(width/2-70, 10)
    .setSize(20, 20)
    .setColorValue(0xffffff00)
    .setFont(font_head)
    //.setColor(color(255,0,0))
    ;
    //maximum finden
  button_maximum = cp5.addButton("b_maximum")
    .setCaptionLabel("Maximum finden")
    .setValue(0)
    .setPosition(110, 530)
    .setSize(200, 19)
    .setColorBackground(color( 50, 50, 255 ))
    ;
  //start
  button_start = cp5.addButton("b_start")
    .setCaptionLabel("start")
    .setValue(0)
    .setPosition(110, 500)
    .setSize(200, 19)
    .setColorBackground(color( 50, 50, 255 ))
    ;
  //plott
  button_festlegen = cp5.addButton("b_festlegen")
    .setCaptionLabel("Messbedingungen festlegen")
    .setValue(0)
    .setPosition(110, 470)
    .setSize(200, 19)
    .setColorBackground(color( 50, 50, 255 ))
    .lock() 
    ;
  //Daten
  button_save = cp5.addButton("b_getData")
    .setCaptionLabel("Daten von Arduino holen")
    .setValue(0)
    .setPosition(110, 440)
    .setSize(200, 19)
    .setColorBackground(color( 50, 50, 255 ))
    .lock()
    ;
  button_plot = cp5.addButton("button_plot")
    .setCaptionLabel("plot")
    .setValue(0)
    .setPosition(730, 400)
    .setSize(40, 19)
    .setColorBackground(color( 50, 50, 255 ))
    ;
  radio_O2 = cp5.addRadioButton("radio_O2")
    .setCaptionLabel("Plot")
    .setValue(0)
    .setPosition(630, 400)
    .setSize(40, 19)
    .setColorBackground(color( 50, 50, 255 ))
    ;
  //parameter-slider1
  slider_r=cp5.addSlider("rot  [Einheit?]")
    .setPosition(110, 100)
    .setSize(200, 20)
    .setRange(0, 200)
    .setValue(128)
    ;
  slider_b=cp5.addSlider("blau  [Einheit?]")
    .setPosition(110, 130)
    .setSize(200, 20)
    .setRange(0, 200)
    .setValue(128)
    ;

  //parameter-slider1
  slider_t=cp5.addSlider("Temperatur  [°C]")
    .setPosition(110, 160)
    .setSize(200, 20)
    .setRange(0, 200)
    .setValue(128)
    ;
}

void CreateText() {
  fill(250,250,250);
  textSize(18);
  text("Startwerte", 5, 115);
  text("Dynamik", 5, 230);
  text("Messung", 5, 330);
//  text("Plot?", 5, 440);
  textSize(14);
  text("Parameter", 110, 230);
  text("Intervall", 220, 230);
  text("Zeit", 310, 230);
  textSize(12);
  text("Intesität, red", 110, 250);
  text("%", 250, 250);
  text("Intesität, blue", 110, 270);
  text("%", 250, 270);
  text("Temperatur", 110, 290);
  text("°C", 250, 290);
  text("min.", 340, 290);
  text("min.", 340, 270);
  text("min.", 340, 250);
  text("std.", 250, 330);
  text("min.", 340, 330);
  text("sek.", 250, 350);
  text("Messdauer", 110, 330);
  text("Messfrequenz", 110, 350);
  text("Speicherplatz", 110, 370);
  text("USB-Port", 110, 410);
  text("(auf Arduino, zB. /Messung1)", 220, 388);
  rect(420, 100, 350, 300);
  rect(420, 450, 350, 100);
  text("Plot", 420, 100);
  text("Konsole", 420, 450);
}